### Hierarchy

- PromisedInclude

### Callable

- __call(value: Object, message?: undefined | string): PromisedAssertion
- __call(value: string, message?: undefined | string): PromisedAssertion
- __call(value: number, message?: undefined | string): PromisedAssertion

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:207

  #### Parameters

  - ##### value: Object

  - ##### Optional message: undefined | string

  #### Returns PromisedAssertion

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:208

  #### Parameters

  - ##### value: string

  - ##### Optional message: undefined | string

  #### Returns PromisedAssertion

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:209

  #### Parameters

  - ##### value: number

  - ##### Optional message: undefined | string

  #### Returns PromisedAssertion

## Index

### Properties

- all
- any
- deep
- keys
- members
- ordered

## Properties

### all

all: PromisedKeyFilter

- Defined in node_modules/@types/chai-as-promised/index.d.ts:216

### any

any: PromisedKeyFilter

- Defined in node_modules/@types/chai-as-promised/index.d.ts:215

### deep

deep: PromisedDeep

- Defined in node_modules/@types/chai-as-promised/index.d.ts:212

### keys

keys: PromisedKeys

- Defined in node_modules/@types/chai-as-promised/index.d.ts:211

### members

members: PromisedMembers

- Defined in node_modules/@types/chai-as-promised/index.d.ts:214

### ordered

ordered: PromisedOrdered

- Defined in node_modules/@types/chai-as-promised/index.d.ts:213

Generated using TypeDoc